Subject: Re: [EGIT PATCH 1/4] Change history page table to SWT.VIRTUAL.

From: "Roger C. Soares" <[email-masked]>
Date: Tue, 01 Apr 2008 00:25:15 -0300

Shawn O. Pearce escreveu:
> Yea, I originally wrote my series around the VIRTUAL flag but on
> Win32 it caused ArrayIndexOutOfBoundsExceptions to be thrown from
> deep down within the Win32 implementation of the SWT Table widget.
>
> Appears to be something of a known bug, based on the Eclipse issue
> tracker, but not much work happening to fix it.
>   
Hum, a VIRTUAL table sounds like a very usefull feature to be badly 
broken on windows, at least there should be some workaround... is it 
easily reproducible?

> I'll retest this tomorrow on Win32, but I'm pretty certain its
> a bad idea on that platform.  What are you running on, Linux?
> Maybe we can set this flag everywhere except on Win32
Yep, linux.

Maybe another option to try before leaving windows out is the 
ILazyContentProvider. Have you noticed that while GenerateHistoryJob is 
updating the table you can't use it? Because the input is regenerated 
every time, the table keeps going back to the first row.

[]s,
Roger.